booster::aio::aio_error::category Class Reference

`#include <booster/booster/aio/aio_category.h>`

Inheritance diagram for booster::aio::aio_error::category:

## Public Member Functions

virtual char const * | name () const
| Get category name.
virtual std::string | message (int cat) const
| Get message from code.
Public Member Functions inherited from booster::system::error_category
bool | operator== (error_category const &other) const
bool | operator!= (error_category const &other) const
bool | operator< (error_category const &other) const

## Detailed Description

Error category for booster::aio objects

The documentation for this class was generated from the following file:

- booster/aio/aio_category.h